lmpcpoly_moveit:
    # tangent_space: false
    # mpc_wreg: 1e-1
    # H: 10
    # ndt: 100
    #--------------------------------------------------
    tangent_space: true
    # tangent_space: false
    mpc_terminal: 1
    Emax: 0.10
    mpc_wreg: 1.0e-2
    H: 5
    ndt: 100
    #__________________________________________________
    kp_linear : 140
    kp_angular: 140
    kd_factor_linear : 2
    kd_factor_angular: 2
    ff_acc_factor: 1
    # p_max  : [1, 1, 1, 3.14, 3.14, 3.14]
    # p_max  : [2, 2, 2, 1.81, 1.81, 1.81] # 1.81 = pi/sqrt(3)
    # the robot starts approx at y=0.6
    # p_max  : [3, .8, 3, 3.14, 3.14, 3.14]
    p_max  : [1000, 1000, 1000, 3.14, 3.14, 3.14]
    # v_max  : [1.7, 1.7, 1.7, 2.5, 2.5, 2.5]
    v_max  : [0.2, 0.2, 0.2, 1.0, 1.0, 1.0]
    a_max : [13, 13, 13, 25, 25, 25]
    # a_max : [10, 10, 10, 18, 18, 18]
    # a_max : [8, 8, 8, 15, 15, 15]
    # j_max: [6500, 6500, 6500, 12500, 12500, 12500]
    j_max: [3500, 3500, 3500, 4000, 4000, 4000]
    # j_max: [1000, 1000, 1000, 2000, 2000, 2000]
    #__________________________________________________
    limit_jerk: true
    # limit_jerk: false
    mpc_update_delay: .001
    mpc_compute_time: .0006
    mpc_compute_time_warn: .0007
    #__________________________________________________
    vel_scaling_step: 0.03
    vel_scaling_max: 1
    # vel_scaling_min: 0.01
    # vel_scaling_delay: 0.06
    vel_scaling_min: 1
    vel_scaling_delay: 10
    #__________________________________________________
    # solver: "osqp"
    # solver: "qpoases"
    solver: "qpmad"
    # solver: "proxqp"
    filter_w0: -1
    verbose: false
    # verbose: true
